## org.eclipse.jst.jsf.common.metadata
Interface MetadataFactory

    public interface MetadataFactory

The Factory for the model. It provides a create method for each non-abstract class of the model.

NOT API

See Also:
  `MetadataPackage`

Field Summary
`static java.lang.String` `copyright`
`static MetadataFactory` `eINSTANCE` The singleton instance of the factory

Method Summary
`Entity` `createEntity()` Returns a new object of class 'Entity'
`EntityGroup` `createEntityGroup()` Returns a new object of class 'Entity Group'
`IncludeEntityGroup` `createIncludeEntityGroup()` Returns a new object of class 'Include Entity Group'
`Model` `createModel()` Returns a new object of class 'Model'
`Trait` `createTrait()` Returns a new object of class 'Trait'
`MetadataPackage` `getMetadataPackage()` Returns the package supported by this factory

Field Detail

### copyright

    static final java.lang.String copyright

  See Also:
    Constant Field Values

### eINSTANCE

    static final MetadataFactory eINSTANCE

  The singleton instance of the factory.

Method Detail

### createTrait

    Trait createTrait()

  Returns a new object of class 'Trait'.

  Returns:
    a new object of class 'Trait'.

### createIncludeEntityGroup

    IncludeEntityGroup createIncludeEntityGroup()

  Returns a new object of class 'Include Entity Group'.

  Returns:
    a new object of class 'Include Entity Group'.

### createModel

    Model createModel()

  Returns a new object of class 'Model'.

  Returns:
    a new object of class 'Model'.

### createEntity

    Entity createEntity()

  Returns a new object of class 'Entity'.

  Returns:
    a new object of class 'Entity'.

### createEntityGroup

    EntityGroup createEntityGroup()

  Returns a new object of class 'Entity Group'.

  Returns:
    a new object of class 'Entity Group'.

### getMetadataPackage

    MetadataPackage getMetadataPackage()

  Returns the package supported by this factory.

  Returns:
    the package supported by this factory.